#pragma once

//   
const int NUMBERBUTTONS = 12;

class CControlButtons
{
public:

	CControlButtons(void);
	~CControlButtons(void);

	HRESULT InitControlButtons(LPDIRECT3DDEVICE9 pd3dDevice);
	HRESULT Render(LPDIRECT3DDEVICE9 pd3dDevice, BOOL fullscreen);
	HRESULT Invalidate(void);
	HRESULT Restore(void);	
	void HandleMouse(POINT point, int* tbButton, bool mousedown=false); 

	//          . 
	void DataToRegistry(HKEY hKey);
	void DataFromRegistry(HKEY hKey);

	//  .
	enum typeButton{tbFullScreen,	//    
					tbWindowed,		//    
					tbNewGame,		//     
					tbEducation,	//  
					tbReset,		//   
					tbColorBG,		//   
					tbColorFont,	//   
					tbImageBg,		//   
					tbPlayerName,	//   
					tbSetting,		//  
					tbHelp,			//  
					tbExit			//  
					};
	bool m_IsDown;
	BOOL m_TransparentControlButtons;
private: 
	//   .
	HRESULT RenderButton(LPDIRECT3DDEVICE9 pd3dDevice, typeButton button);

	//      .
	LPD3DXSPRITE m_pd3dSprite;

	//       .
	LPDIRECT3DTEXTURE9 m_pTexture;

	//       
	//    .
	CRect m_rcTexture[NUMBERBUTTONS];

	//      .
	CRect m_rcPos[NUMBERBUTTONS];

	//    .
	POINT m_ptDownButton[NUMBERBUTTONS];

	//     (   "" )
	int m_LeftActiveButton[NUMBERBUTTONS];

	//     .
	bool m_IsActive;

	//   
	int m_ActiveButton;

	//  ,   .
	BOOL m_FullScreen;

};
